4 Replies Latest reply: Apr 29, 2012 5:26 AM by LordLucanUK
LordLucanUK Level 1 Level 1

Im running MS OX 10.5.8 and just bought a trackpad. My Mac can find it on bluetooth, offers me a password but then it won't connect, what am I doing wrong?


iMac, Mac OS X (10.5.8)
Solved by captfred on Apr 29, 2012 5:11 AM Solved
Snow Leopard (10.6) can't be downloaded, it's only available on DVD. Here are the requirements: General requirementsMac computer with an Intel processor1GB of memory5GB of available disk spaceDVD drive for installation
Reply by b j t on Apr 29, 2012 4:20 AM Helpful
"To use your Apple Magic Trackpad and all its features, update your Mac to Mac OS X version 10.6.4 or later, and then install the latest trackpad software. " http://manuals.info.apple.com/en_US/Magic_Trackpad_UG.pdf

All replies